Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.eclipse.emf.ecp.view.spi.label.model
Enum VLabelStyle

    java.lang.Object
      java.lang.Enum<VLabelStyle>
          org.eclipse.emf.ecp.view.spi.label.model.VLabelStyle

All Implemented Interfaces:
  Serializable, Comparable<VLabelStyle>, org.eclipse.emf.common.util.Enumerator

    public enum VLabelStyle

extends Enum<VLabelStyle>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Style', and utility methods for working with them.

See Also:
  `VLabelPackage.getVLabelStyle()`

Enum Constant Summary
`H0` The 'H0' literal object.
`H1` The 'H1' literal object.
`H2` The 'H2' literal object.
`H3` The 'H3' literal object.
`H4` The 'H4' literal object.
`H5` The 'H5' literal object.
`H6` The 'H6' literal object.
`H7` The 'H7' literal object.
`H8` The 'H8' literal object.
`H9` The 'H9' literal object.
`SEPARATOR` The 'Separator' literal object.

Field Summary
`static int` | `H0_VALUE` The 'H0' literal value.
`static int` | `H1_VALUE` The 'H1' literal value.
`static int` | `H2_VALUE` The 'H2' literal value.
`static int` | `H3_VALUE` The 'H3' literal value.
`static int` | `H4_VALUE` The 'H4' literal value.
`static int` | `H5_VALUE` The 'H5' literal value.
`static int` | `H6_VALUE` The 'H6' literal value.
`static int` | `H7_VALUE` The 'H7' literal value.
`static int` | `H8_VALUE` The 'H8' literal value.
`static int` | `H9_VALUE` The 'H9' literal value.
`static int` | `SEPARATOR_VALUE` The 'Separator' literal value.
`static List<VLabelStyle>` | `VALUES` A public read-only list of all the 'VLabel Style' enumerators.

Method Summary
`static VLabelStyle` | `get(int value)` Returns the 'VLabel Style' literal with the specified integer value.
`static VLabelStyle` | `get(String literal)` Returns the 'VLabel Style' literal with the specified literal value.
`static VLabelStyle` | `getByName(String name)` Returns the 'VLabel Style' literal with the specified name.
`String` | `getLiteral()`
`String` | `getName()`
`int` | `getValue()`
`String` | `toString()` Returns the literal value of the enumerator, which is its string representation.
`static VLabelStyle` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static VLabelStyle[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### H0

    public static final VLabelStyle H0

  The 'H0' literal object.

  See Also:
    `H0_VALUE`

### H1

    public static final VLabelStyle H1

  The 'H1' literal object.

  See Also:
    `H1_VALUE`

### H2

    public static final VLabelStyle H2

  The 'H2' literal object.

  See Also:
    `H2_VALUE`

### H3

    public static final VLabelStyle H3

  The 'H3' literal object.

  See Also:
    `H3_VALUE`

### H4

    public static final VLabelStyle H4

  The 'H4' literal object.

  See Also:
    `H4_VALUE`

### H5

    public static final VLabelStyle H5

  The 'H5' literal object.

  See Also:
    `H5_VALUE`

### H6

    public static final VLabelStyle H6

  The 'H6' literal object.

  See Also:
    `H6_VALUE`

### H7

    public static final VLabelStyle H7

  The 'H7' literal object.

  See Also:
    `H7_VALUE`

### H8

    public static final VLabelStyle H8

  The 'H8' literal object.

  See Also:
    `H8_VALUE`

### H9

    public static final VLabelStyle H9

  The 'H9' literal object.

  See Also:
    `H9_VALUE`

### SEPARATOR

    public static final VLabelStyle SEPARATOR

  The 'Separator' literal object.

  See Also:
    `SEPARATOR_VALUE`

Field Detail

### H0_VALUE

    public static final int H0_VALUE

  The 'H0' literal value.

  If the meaning of 'H0' literal object isn't clear, there really should be more of a description here...

  See Also:
    `H0`, Constant Field Values

### H1_VALUE

    public static final int H1_VALUE

  The 'H1' literal value.

  If the meaning of 'H1' literal object isn't clear, there really should be more of a description here...

  See Also:
    `H1`, Constant Field Values

### H2_VALUE

    public static final int H2_VALUE

  The 'H2' literal value.

  If the meaning of 'H2' literal object isn't clear, there really should be more of a description here...

  See Also:
    `H2`, Constant Field Values

### H3_VALUE

    public static final int H3_VALUE

  The 'H3' literal value.

  If the meaning of 'H3' literal object isn't clear, there really should be more of a description here...

  See Also:
    `H3`, Constant Field Values

### H4_VALUE

    public static final int H4_VALUE

  The 'H4' literal value.

  If the meaning of 'H4' literal object isn't clear, there really should be more of a description here...

  See Also:
    `H4`, Constant Field Values

### H5_VALUE

    public static final int H5_VALUE

  The 'H5' literal value.

  If the meaning of 'H5' literal object isn't clear, there really should be more of a description here...

  See Also:
    `H5`, Constant Field Values

### H6_VALUE

    public static final int H6_VALUE

  The 'H6' literal value.

  If the meaning of 'H6' literal object isn't clear, there really should be more of a description here...

  See Also:
    `H6`, Constant Field Values

### H7_VALUE

    public static final int H7_VALUE

  The 'H7' literal value.

  If the meaning of 'H7' literal object isn't clear, there really should be more of a description here...

  See Also:
    `H7`, Constant Field Values

### H8_VALUE

    public static final int H8_VALUE

  The 'H8' literal value.

  If the meaning of 'H8' literal object isn't clear, there really should be more of a description here...

  See Also:
    `H8`, Constant Field Values

### H9_VALUE

    public static final int H9_VALUE

  The 'H9' literal value.

  If the meaning of 'H9' literal object isn't clear, there really should be more of a description here...

  See Also:
    `H9`, Constant Field Values

### SEPARATOR_VALUE

    public static final int SEPARATOR_VALUE

  The 'Separator' literal value.

  If the meaning of 'Separator' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SEPARATOR`, Constant Field Values

### VALUES

    public static final List<VLabelStyle> VALUES

  A public read-only list of all the 'VLabel Style' enumerators.

Method Detail

### values

    public static VLabelStyle[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (VLabelStyle c : VLabelStyle.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static VLabelStyle valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### get

    public static VLabelStyle get(String literal)

  Returns the 'VLabel Style' literal with the specified literal value.

### getByName

    public static VLabelStyle getByName(String name)

  Returns the 'VLabel Style' literal with the specified name.

### get

    public static VLabelStyle get(int value)

  Returns the 'VLabel Style' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

    public String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

    public String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

    public String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `Enum<VLabelStyle>`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2015. All Rights Reserved.